Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004528 [JEDI VCL] 00 JVCL Components minor always 2008-10-13 03:15 2008-10-16 12:15
Reporter whf View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0004528: TJvEditor bug
Description Hi:
 in Delphi 2009,TJvEditor have a bug:
when i use shift+down arry Select One Line,then Copy and Paste,bug appear
maybe bug in this code:
function TJvCustomEditor.GetSelText
Additional Information
Tags No tags attached.
Attached Files rar file icon testedito.rar [^] (11,076 bytes) 2008-10-15 02:58

- Relationships

-  Notes
(0014845)
obones (administrator)
2008-10-13 04:57

Please provide the zipped sources of a sample application showing this, along with a detailed explanation of what you think is wrong.
(0014853)
whf (reporter)
2008-10-13 20:56

OK,this is a Demo
Please use shift+down arry Select One Line,then Copy and Paste,bug appear
(0014860)
n9zle (reporter)
2008-10-14 13:29

GetSelText is using the function MOVE() and not accounting for unicode strings.
Should change to Move( <var>,<var>, LEN * SizeOf(Char) );

I fixed by this and changed P from pchar to integer
Move( s, Result[p], ...

Also CR LF needs to change to Move(0000013#10,Result[p],2*SizeOf(Char));
(0014873)
obones (administrator)
2008-10-16 12:14

Thanks. This should now be fixed in SVN. All calls to Move were reviewed and changed where appropriate

- Issue History
Date Modified Username Field Change
2008-10-13 03:15 whf New Issue
2008-10-13 04:57 obones Note Added: 0014845
2008-10-13 04:57 obones Status new => feedback
2008-10-13 20:56 whf Note Added: 0014853
2008-10-14 13:29 n9zle Note Added: 0014860
2008-10-15 02:09 obones Assigned To => obones
2008-10-15 02:58 whf File Added: testedito.rar
2008-10-16 12:14 obones Status feedback => resolved
2008-10-16 12:14 obones Fixed in Version => Daily / SVN
2008-10-16 12:14 obones Resolution open => fixed
2008-10-16 12:14 obones Note Added: 0014873


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker